PARSNP(1)

NAME
parsnp - rapid core genome multi-alignment

SYNOPSIS
parsnp [options] [-g|-r|-q] -d <genome_dir> -p <threads>

DESCRIPTION
Parsnp was designed to align the core genome of hundreds to thousands of bacterial genomes within a few minutes to few hours. Input can be both draft assemblies and finished genomes, and output includes variant (SNP) calls, core genome phylogeny and multi-alignments. Parsnp leverages contextual information provided by multi-alignments surrounding SNP sites for filtration/cleaning, in addition to existing tools for recombination detection/filtration and phylogenetic reconstruction.

OPTIONS

  input/output

-c = <flag>: (c)urated genome directory, use all genomes in dir and ignore MUMi? (default = NO)

-d = <path>: (d)irectory containing genomes/contigs/scaffolds

-r = <path>: (r)eference genome (set to ! to pick random one from genome dir)

-g = <string>: Gen(b)ank file(s) (gbk), comma separated list (default = None)

-o = <string>: output directory? default [./P_CURRDATE_CURRTIME]

-q = <path>: (optional) specify (assembled) query genome to use, in addition to genomes found in genome dir (default = NONE)

  MUMi

-U = <float>: max MUMi distance value for MUMi distribution

-M = <flag>: calculate MUMi and exit? overrides all other choices! (default: NO)

-i = <float>: max MUM(i) distance (default: autocutoff based on distribution of MUMi values)

  MUM search

-a = <int>: min (a)NCHOR length (default = 1.1*Log(S))

-C = <int>: maximal cluster D value? (default=100)

-z = <path>: min LCB si(z)e? (default = 25)

  LCB alignment

-D = <float>: maximal diagonal difference? Either percentage (e.g. 0.2) or bp (e.g. 100bp) (default = 0.12)

-e = <flag> greedily extend LCBs? experimental! (default = NO)

-n = <string>: alignment program (default: libMUSCLE)

-u = <flag>: output unaligned regions? .unaligned (default: NO)

  Recombination filtration

-x = <flag>: enable filtering of SNPs located in PhiPack identified regions of recombination? (default: NO)

  Misc

-h = <flag>: (h)elp: print this message and exit

-p = <int>: number of threads to use? (default= 1)

-P = <int>: max partition size? limits memory usage (default= 15000000)

-v = <flag>: (v)erbose output? (default = NO)

-V = <flag>: output (V)ersion and exit

EXAMPLES
Parsnp quick start for three example scenarios:

  With reference & genbank file:

    parsnp -g <reference_genbank_file1,reference_genbank_file2,..> -d <genome_dir> -p <threads>

  With reference but without genbank file:

    parsnp -r <reference_genome> -d <genome_dir> -p <threads>

  Autorecruit reference to a draft assembly:

    parsnp -q <draft_assembly> -d <genome_db> -p <threads>

SEE ALSO
For detailed documentation please see --> http://harvest.readthedocs.org/en/latest

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.